'''
Created on May 2, 2018

Exception classes for Tetration/FMC remediation module

@author: feliu
Copyright (c) 2018 by Cisco Systems, Inc.
'''

class InvalidScopeError(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class AccessForbiddenError(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class QuarantineAnnotationNotAddedError(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class QuarantineAnnotationNotDeletedError(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class AuthorizationError(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class CannotAccessTetrationError(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class AccessFailed(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class UnknownError(Exception):
    def __init__(self, message):
        Exception.__init__(self, message)

class ErrorCode(object):
    INVALID_SCOPE_ERROR = 131
    ACCESS_FORBIDDEN_ERROR = 132
    QUARANTINE_ANNOTATION_NOT_ADDED_ERROR = 133
    QUARANTINE_ANNONTATION_NOT_DELETED_ERROR = 134
    AUTHORIZATION_ERROR = 135
    CANNOT_ACCESS_TETRATION_ERROR = 136
    ACCESS_FAILED = 137
    UNKNOWN_ERROR = 138

